> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Call



## OpenAPI

````yaml post /api/v1/calls
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/calls:
    post:
      tags:
        - Calls
      summary: Create Call
      operationId: InteractionController_createConversation
      parameters: []
      requestBody:
        required: true
        description: Input data for creating a new interaction
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInteractionInput'
      responses:
        '200':
          description: Initiate call
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SanitisedFeedback'
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
      security:
        - basic: []
components:
  schemas:
    CreateInteractionInput:
      type: object
      properties:
        agentId:
          type: string
          description: Your agents UUID
          example: 123e4567-e89b-12d3-a456-426614174000
        agentOverride:
          description: Your agent override settings
          example:
            name: John Doe
            phone: '+12673624524'
            imageURL: https://example.com/image.jpg
            language: en-US
            voiceStability: 0.5
            voiceSpeed: 1.5
            prompt:
              initialMessage: >-
                Hello {{firstName}}, My name is {{aiName}}. I am calling you
                about your order ID {{Order ID}}
              prompt: >-
                Your sponsibility is to notify the customer: {{firstName}} about
                his  order ID {{Order ID}} and the total cost  of {{Order
                Amount}}  with delivery date {{Delivery Date}}. That is all
              routingConditions:
                priority: high
          allOf:
            - $ref: '#/components/schemas/AgentOverrideInput'
        channel:
          type: string
          description: >-
            The interaction channel, you can send your agent to call, sms,
            whatsapp or webchat
          example: call
          enum:
            - call
            - sms
            - whatsapp
            - email
            - webchat
        skillId:
          type: string
          description: Your skill UUID
          example: 123e4567-e89b-12d3-a456-426614174000
        customerOverride:
          description: Your agent override settings
          example:
            firstName: John
            lastName: Doe
            phoneNumber: '+1234567890'
            email: admin@email.com
            language: en-US
            customFields:
              - name: Order ID
                value: '12345'
              - name: Order Date
                value: '2025-03-12'
              - name: Order Amount
                value: 150.75
              - name: Active Status
                value: true
          allOf:
            - $ref: '#/components/schemas/CustomerOverrideInput'
        customerName:
          type: string
          description: The customer's name to create a new customer
          example: John Does
        customerPhone:
          type: string
          description: The customer's phone number to create a new customer
          example: '+1234567890'
        customerEmail:
          type: string
          description: The customer's email to create a new customer
          example: customer@email.com
      required:
        - agentId
        - channel
        - skillId
        - customerOverride
    SanitisedFeedback:
      type: object
      properties:
        id:
          type: string
          description: Interaction ID
          example: 123e4567-e89b-12d3-a456-426614174000
        status:
          type: string
          description: Interaction status
          example: in-progress
        agentPhone:
          type: string
          description: Agent phone number
          example: '+1234567890'
        agentEmail:
          type: string
          description: Agent Email
          example: '+1234567890'
        customerPhone:
          type: string
          description: Customer phone number
          example: '+1234567890'
        customerEmail:
          type: string
          description: Customer email
          example: '+1234567890'
        agentId:
          type: string
          description: Agent ID
          example: 123e4567-e89b-12d3-a456-426614174000
        customerId:
          type: string
          description: Customer ID
          example: 123e4567-e89b-12d3-a456-426614174000
        skillId:
          type: string
          description: Skill ID
          example: 123e4567-e89b-12d3-a456-426614174000
        customerName:
          type: string
          description: Customer name
          example: John Doe
        transcription:
          type: string
          description: Transcription
          example: Hello, how can I help you?
        recordingUrl:
          type: string
          description: Recording URL
          example: https://example.com/recording.wav
        messages:
          description: conversation messages
          example:
            - sid: SM1234567890abcdef
              timestamp: '2025-03-17T14:30:00Z'
              sender: agent
              content: Hello, how can I assist you today?
              mediaUrl: https://example.com/image.jpg
              status: delivered
          type: array
          items:
            type: string
        duration:
          type: number
          description: Session duration in seconds
          example: '7200'
      required:
        - id
        - status
        - agentPhone
        - agentEmail
        - customerPhone
        - customerEmail
        - agentId
        - customerId
        - skillId
        - customerName
        - transcription
        - recordingUrl
        - messages
        - duration
    AgentOverrideInput:
      type: object
      properties:
        name:
          type: string
          description: The name of the voicebot
          example: John Doe
        imageURL:
          type: string
          description: The image URL of the voicebot
          example: https://example.com/image.jpg
          nullable: true
        language:
          type: string
          description: The language of the voicebot
          example: en-US
          nullable: true
        voiceStability:
          type: number
          description: The voice stability of the voicebot
          example: 0.5
          nullable: true
        voiceSpeed:
          type: number
          description: The voice speed of the voicebot
          example: 1.5
          nullable: true
        actions:
          description: The capabilities of the voicebot
          example: []
          nullable: true
          type: array
          items:
            type: string
        knowledgebases:
          description: The Knowledgebase of the voicebot
          example: []
          nullable: true
          type: array
          items:
            type: string
        phone:
          type: string
          description: The phone number of the voicebot
          example: '+1234567890'
          nullable: true
        email:
          type: string
          description: The email of the voicebot
          example: agent1@elemente.com
          nullable: true
      required:
        - imageURL
        - language
        - voiceStability
        - voiceSpeed
        - actions
        - knowledgebases
        - phone
        - email
    CustomerOverrideInput:
      type: object
      properties:
        firstName:
          type: string
          description: first name of the customer
          example: John Doe
          nullable: true
        lastName:
          type: string
          description: last name of the customer
          example: John Doe
          nullable: true
        phoneNumber:
          type: string
          description: phone number of the customer
          example: '+1234567890'
          nullable: true
        email:
          type: string
          description: email of the customer
          example: admin@email.com
          nullable: true
        language:
          type: string
          description: Language code the customer
          example: EN
          nullable: true
        customFields:
          description: Custom fields of the customer
          example:
            - name: Customer ID
              value: '12345'
            - name: Order Date
              value: '2025-03-12'
            - name: Order Amount
              value: 150.75
          nullable: true
          type: array
          items:
            type: string
  securitySchemes:
    basic:
      type: http
      scheme: basic

````